org.apache.olingo.commons.api.edm.provider

## Class CsdlNavigationProperty

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlNavigationProperty

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed

      public class CsdlNavigationProperty
      extends CsdlAbstractEdmItem
      implements CsdlNamed, CsdlAnnotatable

  The type Csdl navigation property.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlNavigationProperty()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `String` | `getName()` Gets name.
    `CsdlOnDelete` | `getOnDelete()` Gets on delete.
    `String` | `getPartner()` Gets partner.
    `List<CsdlReferentialConstraint>` | `getReferentialConstraints()` Gets referential constraints.
    `String` | `getType()` Gets type.
    `FullQualifiedName` | `getTypeFQN()` Gets type fQN.
    `boolean` | `isCollection()` Is collection.
    `boolean` | `isContainsTarget()` Is contains target.
    `Boolean` | `isNullable()` Is nullable.
    `CsdlNavigationProperty` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlNavigationProperty` | `setCollection(boolean isCollection)` Sets collection.
    `CsdlNavigationProperty` | `setContainsTarget(boolean containsTarget)` Sets contains target.
    `CsdlNavigationProperty` | `setName(String name)` Sets name.
    `CsdlNavigationProperty` | `setNullable(Boolean nullable)` Sets nullable.
    `CsdlNavigationProperty` | `setOnDelete(CsdlOnDelete onDelete)` Sets on delete.
    `CsdlNavigationProperty` | `setPartner(String partner)` Sets partner.
    `CsdlNavigationProperty` | `setReferentialConstraints(List<CsdlReferentialConstraint> referentialConstraints)` Sets referential constraints.
    `CsdlNavigationProperty` | `setType(FullQualifiedName type)` Sets type.
    `CsdlNavigationProperty` | `setType(String type)` Sets type.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlNavigationProperty

          public CsdlNavigationProperty()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `CsdlNamed`
      Gets name.
      Specified by:
        `getName` in interface `CsdlNamed`
      Returns:
        the name

    - #### isCollection

          public boolean isCollection()

      Is collection.
      Returns:
        the boolean

    - #### setCollection

          public CsdlNavigationProperty setCollection(boolean isCollection)

      Sets collection.
      Parameters:
        `isCollection` - the is collection
      Returns:
        the collection

    - #### setName

          public CsdlNavigationProperty setName(String name)

      Sets name.
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### getTypeFQN

          public FullQualifiedName getTypeFQN()

      Gets type fQN.
      Returns:
        the type fQN

    - #### getType

          public String getType()

      Gets type.
      Returns:
        the type

    - #### setType

          public CsdlNavigationProperty setType(FullQualifiedName type)

      Sets type.
      Parameters:
        `type` - the type
      Returns:
        the type

    - #### setType

          public CsdlNavigationProperty setType(String type)

      Sets type.
      Parameters:
        `type` - the type
      Returns:
        the type

    - #### getPartner

          public String getPartner()

      Gets partner.
      Returns:
        the partner

    - #### setPartner

          public CsdlNavigationProperty setPartner(String partner)

      Sets partner.
      Parameters:
        `partner` - the partner
      Returns:
        the partner

    - #### isContainsTarget

          public boolean isContainsTarget()

      Is contains target.
      Returns:
        the boolean

    - #### setContainsTarget

          public CsdlNavigationProperty setContainsTarget(boolean containsTarget)

      Sets contains target.
      Parameters:
        `containsTarget` - the contains target
      Returns:
        the contains target

    - #### getReferentialConstraints

          public List<CsdlReferentialConstraint> getReferentialConstraints()

      Gets referential constraints.
      Returns:
        the referential constraints

    - #### setReferentialConstraints

          public CsdlNavigationProperty setReferentialConstraints(List<CsdlReferentialConstraint> referentialConstraints)

      Sets referential constraints.
      Parameters:
        `referentialConstraints` - the referential constraints
      Returns:
        the referential constraints

    - #### isNullable

          public Boolean isNullable()

      Is nullable.
      Returns:
        the boolean

    - #### setNullable

          public CsdlNavigationProperty setNullable(Boolean nullable)

      Sets nullable.
      Parameters:
        `nullable` - the nullable
      Returns:
        the nullable

    - #### getOnDelete

          public CsdlOnDelete getOnDelete()

      Gets on delete.
      Returns:
        the on delete

    - #### setOnDelete

          public CsdlNavigationProperty setOnDelete(CsdlOnDelete onDelete)

      Sets on delete.
      Parameters:
        `onDelete` - the on delete
      Returns:
        the on delete

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlNavigationProperty setAnnotations(List<CsdlAnnotation> annotations)

      Sets a list of annotations
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.